Bug 73493 - Package installs files into incorrect directory
Summary: Package installs files into incorrect directory
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl-SGMLSpm   
(Show other bugs)
Version: 7.3
Hardware: noarch
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-05 14:27 UTC by Ben Herrick
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version: 1.03ii-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-28 16:16:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch in comments has linebreaks added by browser. This patch should work. (406 bytes, patch)
2002-09-05 19:13 UTC, Ben Herrick
no flags Details | Diff

Description Ben Herrick 2002-09-05 14:27:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
perl-SGMLSpm is installing its vendor supplied files into the site_perl modules
directory. All other Redhat rpms for perl modules are installing their files
into the vendor_perl directory.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -ivh perl-SGMLSpm-1.03ii-4.noarch.rpm
2. Check /usr/lib/perl5/site_perl/5.6.0/
3. Be surprised to find files from an RPM there. <gasp> :)
	

Actual Results:  Files showed up in the wrong place.

Expected Results:  Files should show up in /usr/lib/perl5/vendor_perl/5.6.1/

Additional info:

The following patch to the Redhat provided .spec file should fix this problem.
Thanks for your time.

--- ./perl-SGMLSpm.spec	Thu Sep  5 09:18:04 2002
+++ ./perl-SGMLSpm.spec.vendordir	Thu Sep  5 09:24:41 2002
@@ -1,6 +1,6 @@
 %define Name perl-SGMLSpm
 %define Version 1.03ii
-%define perldir %(perl -V:installsitelib | sed
's/^installsitelib=.\\(.*\\).;$/\\1/')
+%define perldir %(perl -V:installvendorlib | sed
's/^installvendorlib=.\\(.*\\).;$/\\1/')
 
 Name        	: %{Name}
 Version     	: %{Version}

Comment 1 Ben Herrick 2002-09-05 19:13:18 UTC
Created attachment 75125 [details]
Patch in comments has linebreaks added by browser. This patch should work.


Note You need to log in before you can comment on or make changes to this bug.